Plugin Error (exit code -9) from q2-dada2

when i running qiime2(2017.11) in my MAC OS(8GB) with following command,“Plugin error from dada2:An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.” this occurs, is this a memory situation of my laptop? thx.

Debug info has been saved to /tmp/qiime2-q2cli-err-_e138zd7.log
qiime dada2 denoise-paired
–i-demultiplexed-seqs demux.qza
–o-table table2
–o-representative-sequences rep-seqs2
–p-trim-left-f 0
–p-trim-left-r 0
–p-trunc-len-f 220
–p-trunc-len-r 220

Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmp34pd4uz_/forward /tmp/tmp34pd4uz_/reverse /tmp/tmp34pd4uz_/output.tsv.biom /tmp/tmp34pd4uz_/filt_f /tmp/tmp34pd4uz_/filt_r 220 220 0 0 2.0 2 consensus 1.0 1 1000000

R version 3.3.2 (2016-10-31)
Loading required package: Rcpp
There were 50 or more warnings (use warnings() to see the first 50)
DADA2 R package version: 1.4.0

  1. Filtering …
  2. Learning Error Rates
    2a) Forward Reads
    Initializing error rates to maximum possible estimate.
    Sample 1 - 64885 reads in 21579 unique sequences.
    Sample 2 - 61082 reads in 20353 unique sequences.
    Sample 3 - 56565 reads in 20188 unique sequences.
    Sample 4 - 54371 reads in 19207 unique sequences.
    Sample 5 - 56889 reads in 19584 unique sequences.
    Sample 6 - 55874 reads in 20730 unique sequences.
    Sample 7 - 53734 reads in 18378 unique sequences.
    Sample 8 - 57586 reads in 18913 unique sequences.
    Sample 9 - 54316 reads in 17601 unique sequences.
    Sample 10 - 58622 reads in 19484 unique sequences.
    Sample 11 - 59286 reads in 19425 unique sequences.
    Sample 12 - 54880 reads in 20507 unique sequences.
    Sample 13 - 59445 reads in 15960 unique sequences.
    Sample 14 - 57352 reads in 18747 unique sequences.
    Sample 15 - 53782 reads in 20734 unique sequences.
    Sample 16 - 62550 reads in 21965 unique sequences.
    Sample 17 - 61116 reads in 20887 unique sequences.
    Sample 18 - 54017 reads in 20918 unique sequences.
    selfConsist step 2
    selfConsist step 3
    selfConsist step 4
    selfConsist step 5
    Traceback (most recent call last):
    File "/opt/conda/lib/python3.5/site-packages/q2_dada2/denoise.py", line 179, in denoise_paired
    run_commands([cmd])
    File "/opt/conda/lib/python3.5/site-packages/q2_dada2/denoise.py", line 35, in run_commands
    subprocess.run(cmd, check=True)
    File “/opt/conda/lib/python3.5/subprocess.py”, line 398, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command '[‘run_dada_paired.R’, '/tmp/tmp34pd4uz
    /forward’, '/tmp/tmp34pd4uz
    /reverse’, ‘/tmp/tmp34pd4uz_/output.tsv.biom’, ‘/tmp/tmp34pd4uz_/filt_f’, ‘/tmp/tmp34pd4uz_/filt_r’, ‘220’, ‘220’, ‘0’, ‘0’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’]’ returned non-zero exit status -9

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/opt/conda/lib/python3.5/site-packages/q2cli/commands.py”, line 218, in call
results = action(**arguments)
File “”, line 2, in denoise_paired
File “/opt/conda/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 220, in bound_callable
output_types, provenance)
File “/opt/conda/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 355, in callable_executor
output_views = self._callable(**view_args)
File “/opt/conda/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 194, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.

Hey @Yanfei-Geng,

Yep, we can usually tell by the exit code -9 and the abrupt end of the R script that is running.

Do you have a larger machine available to you? If not we do have AWS EC2 images you can use, but you’ll want a machine with more than 8 gigs of ram (like a t2.xlarge or r3/4.large).

2 Likes

thx a lot for your kind help!

1 Like

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.